//  Licensed under the Apache License, Version 2.0 (the "License"); you may not
//  use this file except in compliance with the License. You may obtain a copy of
//  the License at
//
//  http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
//  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
//  License for the specific language governing permissions and limitations under
//  the License.
//
//  Constants.h
//  iThemeFramework
//
//  Created by Chris Davis on 05/04/2012.
//  Copyright (c) 2012 GameWeaver LTD. All rights reserved.
//

// Toggle this if you want to test against the local
// debug server
#define LIVE

// A Debug only NSLog
#ifdef DEBUG
#   define DLog(format, ...) NSLog(format, ## __VA_ARGS__)
#else
#   define DLog(...)
#endif

// Converts an NSInteger to NSString
#define NSStringFromNSInteger(__int__) [NSString stringWithFormat:@"%d", __int__]

// Base URL for API
#ifdef LIVE
#define BASE_API [NSString stringWithFormat:@"http://api.itheme.com/v2"]
#else
#define BASE_API [NSString stringWithFormat:@"http://localhost:8138/v2"]
#endif

// API Urls
#define kAPI_READ_SCREEN(__locale__, __playerId__, __appId__, __themeId__, __screenId__) [NSString stringWithFormat:@"%@/%@/player/%@/app/%@/theme/%@/screen/%@", BASE_API, __locale__, __playerId__, __appId__, __themeId__, __screenId__]
#define kAPI_LOGIN(__locale__) [NSString stringWithFormat:@"%@/%@/session/login", BASE_API, __locale__]

extern int const kHTTP_GOOD;
extern NSString * const kHTTP_POST;
extern NSString * const kHTTP_GET;
extern NSString * const kHTTP_PUT;
extern NSString * const kHTTP_TYPE_JSON;
extern NSString * const kHTTP_HEADER_AUTHORISATION;
extern NSString * const kUSERNAME;
extern NSString * const kPASSWORD;