//  Licensed under the Apache License, Version 2.0 (the "License"); you may not
//  use this file except in compliance with the License. You may obtain a copy of
//  the License at
//
//  http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
//  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
//  License for the specific language governing permissions and limitations under
//  the License.
//
//  Networking.h
//  iThemeFramework
//
//  Created by Chris Davis on 09/02/2013.
//  Copyright (c) 2013 QuantumLogic LTD. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "JSONKit.h"

@interface Networking : NSObject

// Unused, Posts an image to the itheme api
- (NSDictionary *)postImage:(NSString *)url
				  imageData:(NSData *)imageData
					   auth:(NSString *)authToken
					  error:(NSError **)error;

// Generic method for synchronous http methods
- (NSDictionary *)httpSynchronousUrlWithMethod:(NSString *)url
										method:(NSString *)method
									 keyvalues:(NSDictionary *)keyvalues
										  auth:(NSString *)authToken
										 error:(NSError **)error;

@end
