# iTheme

Note: API Version 1 is still available, please look in the v1 branch.

### API Version 2

### Change the theme of your App in realtime

The iTheme service lets you create themes for Apps 
through the itheme.com website.

Add a couple of lines of code to your app and iTheme will
automatically sync the design to the website where you
can edit it in realtime. Changes are reflected back instantly
in the app.

API
---

After creating an AppKey and a ThemeKey add this line to your
startup method

```objective-c
[[ThemeFramework instance] init:@"---your app key---"
						   themeKey:@"--- your theme key---"
						   username:@"your username"
						   password:@"your password"];
```

In your viewDidLoad method:
```objective-c
- (void)viewDidLoad
{
	[super viewDidLoad];
	[[ThemeFramework instance] ensureLayout:self];
}
```

In your rotation method

```objective-c
- (void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
	[[ThemeFramework instance] ensureLayout:self toInterfaceOrientation:toInterfaceOrientation];
}
```

That's it, everything else is automagical!